package com.iamberry.wechat.service.bindingApp;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.iamberry.wechat.core.entity.bindingApp.BindingMac;
import com.iamberry.wechat.core.entity.bindingApp.BindingMacInfo;
import com.iamberry.wechat.face.bindingapp.BindingMacService;
import com.iamberry.wechat.service.bindingApp.dao.BindingMacDao;

/***
 * @description 绑定对象sql映射
 * @author 欧阳明
 * @date 2016-06-12
 */
@Service
public class BindingMacServiceImpl implements BindingMacService{

	
	@Autowired
	private BindingMacDao bindingMacDao;
	
	@Override
	public BindingMac getOneById(int id) {
		return bindingMacDao.getOneById(id);
	}

	@Override
	public int insert(BindingMac bindingMac) {
		return bindingMacDao.insert(bindingMac);
	}

	@Override
	public int update(BindingMac bindingMac) {
		return bindingMacDao.update(bindingMac);
	}

	@Override
	public List<BindingMacInfo> selectAll(BindingMacInfo bindingMacInfo) {
		return bindingMacDao.selectAll(bindingMacInfo);
	}

	@Override
	public int getAllCount(BindingMacInfo bindingMacInfo) {
		return bindingMacDao.getAllCount(bindingMacInfo);

	}

	@Override
	public int testExist(String macId) {
		return bindingMacDao.testExist(macId);

	}

	@Override
	public int deleteBindingById(Integer id) {
		return bindingMacDao.deleteBindingById(id);

	}
	
}
